Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings.transformers
Class AttributeTransformerAdapter

`java.lang.Object
oracle.toplink.mappings.transformers.AttributeTransformerAdapter`

All Implemented Interfaces:
  AttributeTransformer, java.io.Serializable

public class AttributeTransformerAdapter
extends java.lang.Object
implements AttributeTransformer

Purpose: Provides an empty implementation of AttributeTransformer. Users who do not require the full AttributeTransformer API can subclass this class and implement only the methods required.

Since:
  10
See Also:
  `oracle.toplink.mappings.AttributeTransformer`, Serialized Form

Constructor Summary
`AttributeTransformerAdapter()`

Method Summary
`java.lang.Object` | `buildAttributeValue(Record record, java.lang.Object object, Session session)`
`void` | `initialize(AbstractTransformationMapping mapping)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeTransformerAdapter

    public AttributeTransformerAdapter()

Method Detail

### initialize

    public void initialize(AbstractTransformationMapping mapping)

  Specified by:
    `initialize` in interface `AttributeTransformer`
  Parameters:
    `mapping` - - The mapping associated with this transformer. Only used if some special information is required.

### buildAttributeValue

    public java.lang.Object buildAttributeValue(Record record,
                                                java.lang.Object object,
                                                Session session)

  Specified by:
    `buildAttributeValue` in interface `AttributeTransformer`
  Parameters:
    `record` - - The metadata being used to build the object.
    `session` - - the current session
    `object` - - The current object that the attribute is being built for.
  Returns:
    - The attribute value to be built into the object containing this mapping.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD